diff --git a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
index 5f99b89..981a3ec 100644
--- a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
+++ b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
@@ -680,6 +1602,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
     required IconData icon,
     required String title,
     required String value,
+    Color? statusColor,
   }) {
     return Row(
       crossAxisAlignment: CrossAxisAlignment.start,
@@ -693,7 +1616,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
           child: Icon(
             icon,
             size: 20,
-            color: Colors.grey.shade700,
+            color: statusColor ?? Colors.grey.shade700,
           ),
         ),
         const SizedBox(width: 12),
@@ -711,9 +1634,10 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
               const SizedBox(height: 4),
               Text(
                 value,
-                style: const TextStyle(
+                style: TextStyle(
                   fontSize: 16,
                   fontWeight: FontWeight.w500,
+                  color: statusColor,
                 ),
               ),
             ],
diff --git a/lib/app/modules/warga/views/warga_penerimaan_view.dart b/lib/app/modules/warga/views/warga_penerimaan_view.dart
index f5d33a2..aa17f63 100644
--- a/lib/app/modules/warga/views/warga_penerimaan_view.dart
+++ b/lib/app/modules/warga/views/warga_penerimaan_view.dart
@@ -2,6 +2,7 @@ import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:penyaluran_app/app/modules/warga/controllers/warga_dashboard_controller.dart';
 import 'package:penyaluran_app/app/widgets/bantuan_card.dart';
+import 'package:penyaluran_app/app/theme/app_theme.dart';
 
 class WargaPenerimaanView extends GetView<WargaDashboardController> {
   const WargaPenerimaanView({super.key});
@@ -23,15 +24,6 @@ class WargaPenerimaanView extends GetView<WargaDashboardController> {
               : _buildPenerimaanList(),
         );
       }),
-      floatingActionButton: FloatingActionButton(
-        onPressed: () {
-          // Navigasi ke halaman riwayat penerimaan
-          Get.toNamed('/riwayat-penyaluran');
-        },
-        backgroundColor: Colors.blue,
-        tooltip: 'Riwayat Penerimaan',
-        child: const Icon(Icons.history),
-      ),
     );
   }
 
@@ -43,13 +35,13 @@ class WargaPenerimaanView extends GetView<WargaDashboardController> {
           Container(
             padding: const EdgeInsets.all(20),
             decoration: BoxDecoration(
-              color: Colors.blue.withOpacity(0.1),
+              color: AppTheme.primaryColor.withOpacity(0.1),
               shape: BoxShape.circle,
             ),
             child: Icon(
               Icons.volunteer_activism,
               size: 80,
-              color: Colors.blue.shade400,
+              color: AppTheme.primaryColor,
             ),
           ),
           const SizedBox(height: 24),
@@ -82,6 +74,8 @@ class WargaPenerimaanView extends GetView<WargaDashboardController> {
             label: const Text('Muat Ulang'),
             style: ElevatedButton.styleFrom(
               padding: const EdgeInsets.symmetric(horizontal: 24, vertical: 12),
+              backgroundColor: AppTheme.primaryColor,
+              foregroundColor: Colors.white,
               shape: RoundedRectangleBorder(
                 borderRadius: BorderRadius.circular(8),
               ),
diff --git a/lib/app/modules/warga/views/warga_pengaduan_view.dart b/lib/app/modules/warga/views/warga_pengaduan_view.dart
index b2ed50c..f96ea4b 100644
--- a/lib/app/modules/warga/views/warga_pengaduan_view.dart
+++ b/lib/app/modules/warga/views/warga_pengaduan_view.dart
@@ -30,13 +30,13 @@ class WargaPengaduanView extends GetView<WargaDashboardController> {
         mainAxisAlignment: MainAxisAlignment.center,
         children: [
           Icon(
-            Icons.report_problem,
+            Icons.check_circle_outline,
             size: 80,
             color: Colors.grey.shade400,
           ),
           const SizedBox(height: 16),
           Text(
-            'Belum Ada Pengaduan',
+            'Bagus!',
             style: TextStyle(
               fontSize: 18,
               fontWeight: FontWeight.bold,
@@ -45,27 +45,12 @@ class WargaPengaduanView extends GetView<WargaDashboardController> {
           ),
           const SizedBox(height: 8),
           Text(
-            'Anda belum membuat pengaduan',
+            'Belum ada pengaduan yang dibuat',
             style: TextStyle(
               fontSize: 14,
               color: Colors.grey.shade600,
             ),
           ),
-          const SizedBox(height: 24),
-          ElevatedButton.icon(
-            onPressed: () {
-              // TODO: Implementasi navigasi ke halaman buat pengaduan
-              Get.toNamed('/buat-pengaduan');
-            },
-            icon: const Icon(Icons.add),
-            label: const Text('Buat Pengaduan Baru'),
-            style: ElevatedButton.styleFrom(
-              padding: const EdgeInsets.symmetric(
-                horizontal: 24,
-                vertical: 12,
-              ),
-            ),
-          ),
         ],
       ),
     );
diff --git a/lib/app/modules/warga/views/warga_view.dart b/lib/app/modules/warga/views/warga_view.dart
index b7c2952..dd0db9f 100644
--- a/lib/app/modules/warga/views/warga_view.dart
+++ b/lib/app/modules/warga/views/warga_view.dart
@@ -108,16 +108,6 @@ class WargaView extends GetView<WargaDashboardController> {
                 badgeColor: Colors.orange,
                 onTap: () => controller.changeTab(2),
               ),
-              DrawerMenuItem(
-                icon: Icons.assignment_outlined,
-                title: 'Pengajuan Kelayakan',
-                onTap: () {
-                  // TODO: Navigasi ke halaman pengajuan kelayakan
-                  Get.toNamed('/pengajuan-kelayakan');
-                },
-                badgeCount: controller.totalPengajuanMenunggu.value,
-                badgeColor: Colors.blue,
-              ),
             ],
           )),
       body: Obx(() {
@@ -161,20 +151,6 @@ class WargaView extends GetView<WargaDashboardController> {
               ),
             ],
           )),
-      floatingActionButton: Obx(() {
-        // Tampilkan FAB hanya di halaman pengaduan
-        if (controller.activeTabIndex.value == 2) {
-          return FloatingActionButton(
-            onPressed: () {
-              // TODO: Implementasi navigasi ke halaman buat pengaduan
-              Get.toNamed('/buat-pengaduan');
-            },
-            backgroundColor: AppTheme.primaryColor,
-            child: const Icon(Icons.add),
-          );
-        }
-        return const SizedBox.shrink();
-      }),
     );
   }
 }
diff --git a/lib/app/widgets/bantuan_card.dart b/lib/app/widgets/bantuan_card.dart
index 82df369..f2ad70d 100644
--- a/lib/app/widgets/bantuan_card.dart
+++ b/lib/app/widgets/bantuan_card.dart
@@ -112,6 +112,19 @@ class BantuanCard extends StatelessWidget {
                         vertical: 4,
                       ),
                     ),
+                    if (item.statusPenyaluran != null &&
+                        item.statusPenyaluran!.isNotEmpty)
+                      Padding(
+                        padding: const EdgeInsets.only(top: 4),
+                        child: _buildPenyaluranStatusBadge(
+                          item.statusPenyaluran!,
+                          fontSize: 10,
+                          padding: const EdgeInsets.symmetric(
+                            horizontal: 8,
+                            vertical: 4,
+                          ),
+                        ),
+                      ),
                     const SizedBox(height: 8),
                     Text(
                       formattedJumlah,
@@ -159,8 +172,14 @@ class BantuanCard extends StatelessWidget {
                       overflow: TextOverflow.ellipsis,
                     ),
                   ),
-                  StatusBadge(
-                    status: item.statusPenerimaan ?? 'MENUNGGU',
+                  Wrap(
+                    spacing: 8,
+                    children: [
+                      StatusBadge(status: item.statusPenyaluran ?? ""),
+                      StatusBadge(
+                        status: item.statusPenerimaan ?? 'MENUNGGU',
+                      ),
+                    ],
                   ),
                 ],
               ),
@@ -276,4 +295,51 @@ class BantuanCard extends StatelessWidget {
       ),
     );
   }
+
+  // Widget untuk menampilkan badge status penyaluran
+  Widget _buildPenyaluranStatusBadge(
+    String status, {
+    double fontSize = 12,
+    EdgeInsets padding =
+        const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+  }) {
+    Color statusColor;
+    String statusText;
+
+    switch (status.toUpperCase()) {
+      case 'DIJADWALKAN':
+      case 'DISETUJUI':
+        statusColor = Colors.blue;
+        statusText = 'Dijadwalkan';
+        break;
+      case 'TERLAKSANA':
+        statusColor = Colors.green;
+        statusText = 'Terlaksana';
+        break;
+      case 'BATALTERLAKSANA':
+        statusColor = Colors.red;
+        statusText = 'Dibatalkan';
+        break;
+      default:
+        statusColor = Colors.grey;
+        statusText = status;
+    }
+
+    return Container(
+      padding: padding,
+      decoration: BoxDecoration(
+        color: statusColor.withOpacity(0.1),
+        borderRadius: BorderRadius.circular(20),
+        border: Border.all(color: statusColor),
+      ),
+      child: Text(
+        statusText,
+        style: TextStyle(
+          color: statusColor,
+          fontWeight: FontWeight.bold,
+          fontSize: fontSize,
+        ),
+      ),
+    );
+  }
 }
diff --git a/lib/app/widgets/status_badge.dart b/lib/app/widgets/status_badge.dart
index 30af76c..dff4d5f 100644
--- a/lib/app/widgets/status_badge.dart
+++ b/lib/app/widgets/status_badge.dart
@@ -30,6 +30,10 @@ class StatusBadge extends StatelessWidget {
       'TINDAKAN': Colors.orange,
       'SELESAI': Colors.green,
       'TERVERIFIKASI': Colors.green,
+      'BELUMMENERIMA': Colors.orange,
+      'DIJADWALKAN': Colors.blue,
+      'TERLAKSANA': Colors.purple,
+      'AKTIF': Colors.green,
     };
 
     // Default labels for common statuses
@@ -42,6 +46,10 @@ class StatusBadge extends StatelessWidget {
       'TINDAKAN': 'Tindakan',
       'SELESAI': 'Selesai',
       'TERVERIFIKASI': 'Terverifikasi',
+      'BELUMMENERIMA': 'Belum Menerima',
+      'DIJADWALKAN': 'Dijadwalkan',
+      'TERLAKSANA': 'Terlaksana',
+      'AKTIF': 'Aktif',
     };
 
     // Determine color and label based on status
